curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "team",
"name": "<string>",
"members": [
"<string>"
],
"displayName": "<string>",
"description": "<string>",
"managers": [
"<string>"
],
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"dryRun": false
}
'{
"data": {
"id": "<string>",
"description": "<string>",
"tenantName": "<string>",
"accountId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "team",
"name": "<string>",
"members": [
"<string>"
],
"displayName": "<string>",
"description": "<string>",
"managers": [
"<string>"
],
"ownedBy": {
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"isEditable": true,
"members": [
"<string>"
],
"metadata": {
"createdByScim": true
},
"roles": [
"<string>"
]
}
}Creates a new team or updates an existing team. It ensures that the team name is unique, valid, and that the team has at least one member. The members of the team are added or updated based on the provided emails.
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "team",
"name": "<string>",
"members": [
"<string>"
],
"displayName": "<string>",
"description": "<string>",
"managers": [
"<string>"
],
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"dryRun": false
}
'{
"data": {
"id": "<string>",
"description": "<string>",
"tenantName": "<string>",
"accountId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "team",
"name": "<string>",
"members": [
"<string>"
],
"displayName": "<string>",
"description": "<string>",
"managers": [
"<string>"
],
"ownedBy": {
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"isEditable": true,
"members": [
"<string>"
],
"metadata": {
"createdByScim": true
},
"roles": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Returns the created or updated team.
Teams
Show child attributes
Was this page helpful?